summaryrefslogtreecommitdiffstats
path: root/third_party/rust/oneshot-uniffi/check_mem_leaks.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/rust/oneshot-uniffi/check_mem_leaks.sh')
-rwxr-xr-xthird_party/rust/oneshot-uniffi/check_mem_leaks.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/third_party/rust/oneshot-uniffi/check_mem_leaks.sh b/third_party/rust/oneshot-uniffi/check_mem_leaks.sh
new file mode 100755
index 0000000000..5a10835a0f
--- /dev/null
+++ b/third_party/rust/oneshot-uniffi/check_mem_leaks.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+
+set -eu
+
+SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+cd "$SCRIPT_DIR"
+
+for example_path in examples/*.rs; do
+ example_filename=$(basename -- $example_path)
+ example=${example_filename%.*}
+ echo $example
+ cargo valgrind run --example "$example"
+done